Salutation
Manage salutations via the VARIO Cloud REST API, including creating, retrieving, updating, deleting, activating, and deactivating records.
the salutation API
identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
salutation string
active
trueResource was not found
Resource was not valid to process
PUT /erp/account-types/salutations/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"active": true
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
salutation string
active
trueResource was not found
Resource was not valid to process
PUT /erp/account-types/salutations/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"active": true
}an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
salutation string
active
trueResource with given ID was not found
GET /erp/account-types/salutations/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"active": true
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
salutation string
active
truesuccessful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
salutation string
active
trueResource was not found
Resource was not valid to process
PUT /erp/account-types/salutations/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"version": "text",
"info": {},
"id": "text",
"label": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"active": true
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/account-types/salutations/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
salutation string
active
truesuccessful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
salutation string
active
trueResource was not valid to process
POST /erp/account-types/salutations HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"version": "text",
"info": {},
"id": "text",
"label": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"active": true
}Last updated
Was this helpful?